Skip to main content
POST
/
posts
/
update
Update posts
curl --request POST \
  --url https://api.woopsocial.com/v1/posts/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<string>",
    "scheduledForUTC": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "description": "<string>",
    "firstComment": "<string>",
    "mediaIds": [
      "<string>"
    ],
    "platformSpecificData": {
      "pinterest": {
        "pinterestBoardId": "<string>"
      },
      "instagram": {
        "postType": "POST"
      },
      "facebook": {
        "postType": "TEXT_ONLY",
        "link": "<string>"
      },
      "tiktok": {
        "postType": "VIDEO",
        "privacyLevel": "PUBLIC_TO_EVERYONE",
        "allowComment": true,
        "allowDuet": true,
        "allowStitch": true,
        "contentDisclosureEnabled": true,
        "isYourBrand": true,
        "isBrandedContent": true,
        "autoAddMusic": true
      },
      "youtube": {
        "privacy": "public",
        "category": "<string>",
        "tags": [
          "<string>"
        ],
        "madeForKids": true
      }
    }
  }
]
'
{
  "results": [
    {
      "id": "<string>",
      "status": "UPDATED",
      "post": {
        "id": "<string>",
        "projectId": "<string>",
        "socialAccountId": "<string>",
        "platform": "PINTEREST",
        "username": "<string>",
        "deliveryStatus": "NOT_STARTED",
        "scheduledForUTC": "2023-11-07T05:31:56Z",
        "sentAt": "2023-11-07T05:31:56Z",
        "title": "<string>",
        "description": "<string>",
        "firstComment": "<string>",
        "media": [
          {
            "mediaId": "<string>",
            "type": "IMAGE",
            "url": "<string>",
            "thumbnailUrl": "<string>"
          }
        ],
        "platformSpecificData": {
          "pinterest": {
            "pinterestBoardId": "<string>"
          },
          "instagram": {
            "postType": "POST"
          },
          "facebook": {
            "postType": "TEXT_ONLY",
            "link": "<string>"
          },
          "tiktok": {
            "postType": "VIDEO",
            "privacyLevel": "PUBLIC_TO_EVERYONE",
            "allowComment": true,
            "allowDuet": true,
            "allowStitch": true,
            "contentDisclosureEnabled": true,
            "isYourBrand": true,
            "isBrandedContent": true,
            "autoAddMusic": true
          },
          "youtube": {
            "privacy": "public",
            "category": "<string>",
            "tags": [
              "<string>"
            ],
            "madeForKids": true
          }
        },
        "externalPostId": "<string>",
        "externalPostUrl": "<string>",
        "errorMessage": "<string>"
      },
      "error": {
        "code": "POST_NOT_FOUND",
        "message": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Minimum array length: 1
id
string
required

Post to update.

scheduledForUTC
string<date-time>
required

UTC time when this post should be published.

title
string
description
string
firstComment
string
mediaIds
string[]

Media identifiers previously created via the media upload flow.

platformSpecificData
object

Platform-specific publishing options.

At most one platform object may be present.

Some platforms, such as X, LinkedIn, and LinkedIn Pages, currently do not define platform-specific options. For those platforms, this object can be omitted or sent as an empty object.

The provided platform object must match the publishing account's platform.

Response

200 - application/json

Batched post update results.

results
object[]
required

Results in the same order as the request items.